# beanbag_docutils.sphinx.ext.ref_utils

Sphinx extension to improve references.

This enhances references, allowing both Python and JavaScript references to break paths (like `foo.bar.MyClass`) across multiple lines.

## Setup

To use this, add the extension in `conf.py`:

    extensions = [
        ...
        'beanbag_docutils.sphinx.ext.ref_utils',
        ...
    ]

Functions

`setup`(app) | Set up the Sphinx extension.

beanbag_docutils.sphinx.ext.ref_utils.setup(app)

  Set up the Sphinx extension.

  This alters some behavior for the Python domain, allowing newlines in references.

  Parameters:

    app (`sphinx.application.Sphinx`) – The Sphinx application to extend.